ApiHdfsRestoreSnapshotArgs (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHdfsRestoreSnapshotArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHdfsRestoreSnapshotArgs

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHdfsRestoreSnapshotArgs
      extends Object

  HDFS restore snapshot arguments descriptor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHdfsRestoreSnapshotArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHdfsRestoreSnapshotArgs` | `destinationPath(String destinationPath)`
    `ApiHdfsRestoreSnapshotArgs` | `distCpArgs(ApiHdfsReplicationArguments distCpArgs)`
    `boolean` | `equals(Object o)`
    `String` | `getDestinationPath()` Get destinationPath
    `ApiHdfsReplicationArguments` | `getDistCpArgs()` Get distCpArgs
    `ApiHdfsSnapshot` | `getSnapshot()` Get snapshot
    `int` | `hashCode()`
    `void` | `setDestinationPath(String destinationPath)`
    `void` | `setDistCpArgs(ApiHdfsReplicationArguments distCpArgs)`
    `void` | `setSnapshot(ApiHdfsSnapshot snapshot)`
    `ApiHdfsRestoreSnapshotArgs` | `snapshot(ApiHdfsSnapshot snapshot)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHdfsRestoreSnapshotArgs

          public ApiHdfsRestoreSnapshotArgs()

  - ### Method Detail

    - #### snapshot

          public ApiHdfsRestoreSnapshotArgs snapshot(ApiHdfsSnapshot snapshot)

    - #### getSnapshot

          public ApiHdfsSnapshot getSnapshot()

      Get snapshot
      Returns:
        snapshot

    - #### setSnapshot

          public void setSnapshot(ApiHdfsSnapshot snapshot)

    - #### destinationPath

          public ApiHdfsRestoreSnapshotArgs destinationPath(String destinationPath)

    - #### getDestinationPath

          public String getDestinationPath()

      Get destinationPath
      Returns:
        destinationPath

    - #### setDestinationPath

          public void setDestinationPath(String destinationPath)

    - #### distCpArgs

          public ApiHdfsRestoreSnapshotArgs distCpArgs(ApiHdfsReplicationArguments distCpArgs)

    - #### getDistCpArgs

          public ApiHdfsReplicationArguments getDistCpArgs()

      Get distCpArgs
      Returns:
        distCpArgs

    - #### setDistCpArgs

          public void setDistCpArgs(ApiHdfsReplicationArguments distCpArgs)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.